Available targets
curl --request GET \
--url https://api.hotglue.com/{env_id}/availableTargets \
--header 'x-api-key: <api-key>'import requests
url = "https://api.hotglue.com/{env_id}/availableTargets"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://api.hotglue.com/{env_id}/availableTargets', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"target": "s3",
"flowType": "all",
"domain": "aws.amazon.com",
"label": "AWS S3",
"type": "iam",
"icon": "https://s3.amazonaws.com/cdn.hotglue.xyz/images/logos/s3.svg",
"connect_ui_params": {
"aws_access_key_id": {
"label": "AWS Access Key Id",
"description": "Access Key Id for IAM role"
},
"aws_secret_access_key": {
"label": "AWS Secret Access Key",
"description": "Secret Access Key for IAM Role",
"type": "password"
},
"bucket": {
"label": "Bucket Name",
"description": "Which S3 bucket do you want to use?"
},
"path_prefix": {
"label": "Bucket Path Prefix",
"description": "Where should output files go?"
},
"acl": {
"label": "ACL",
"description": "ACL to use for uploaded objects (optional)",
"required": false
},
"sse": {
"label": "Server Side Encryption",
"type": "boolean",
"description": "Toggle S3 SSE encryption (AES256)",
"required": false
}
}
},
{
"target": "mailgun",
"flowType": "all",
"domain": "mailgun.com",
"label": "Mailgun",
"type": "api",
"icon": "https://s3.amazonaws.com/cdn.hotglue.xyz/images/logos/mailgun.svg",
"connect_ui_params": {
"api_key": {
"label": "API Key",
"description": "Mailgun API Key",
"type": "password"
},
"domain": {
"label": "Domain",
"description": "Mailgun Domain"
},
"email": {
"label": "Email",
"description": "Email to send data to"
}
}
}
]{}Target metadata
Available targets
Returns details for every target that you can enable in your environment
GET
/
{env_id}
/
availableTargets
Available targets
Authorizations
Path Parameters
ID of environment
Response
200
Example:
"shopify"
Example:
"shopify.com"
Example:
"Shopify"
Example:
"api"
Example:
"https://s3.amazonaws.com/cdn.hotglue.xyz/images/logos/shopify.svg"
Example:
true
Show child attributes
Show child attributes
Show child attributes
Show child attributes
⌘I